Skip to main content

/cosmos/bank/v1beta1/params

GET

Params queries the parameters of x/bank module.
Responses
params provides the parameters of the bank module.
Deprecated: Use of SendEnabled in params is deprecated.For genesis, use the newly added send_enabled field in the genesis object.Storage, lookup, and manipulation of this information is now in the keeper.As of cosmos-sdk 0.47, this only exists for backwards compatibility of genesis files.
denomstring
enabledboolean
default_send_enabledboolean
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-celestia-mainnet.nodit.io/cosmos/bank/v1beta1/params' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'